package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;

public class TPurchaseStatistics {

    @Excel(name = "部门")
    private String purchaseDeptName;

    @Excel(name = "经办人")
    private String handledByUserName;

    @Excel(name = "使用人")
    private String userName;

    @Excel(name = "条数")
    private int countNum;

    @Excel(name = "报销总额",isStatistics = true)
    private BigDecimal totalPurchase;

    private Long purchaseDeptId;

    private Long userId;

    private Long handledByUserId;

    public String getPurchaseDeptName() {
        return purchaseDeptName;
    }

    public void setPurchaseDeptName(String purchaseDeptName) {
        this.purchaseDeptName = purchaseDeptName;
    }

    public String getHandledByUserName() {
        return handledByUserName;
    }

    public void setHandledByUserName(String handledByUserName) {
        this.handledByUserName = handledByUserName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public int getCountNum() {
        return countNum;
    }

    public void setCountNum(int countNum) {
        this.countNum = countNum;
    }

    public BigDecimal getTotalPurchase() {
        return totalPurchase;
    }

    public void setTotalPurchase(BigDecimal totalPurchase) {
        this.totalPurchase = totalPurchase;
    }

    public Long getPurchaseDeptId() {
        return purchaseDeptId;
    }

    public void setPurchaseDeptId(Long purchaseDeptId) {
        this.purchaseDeptId = purchaseDeptId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getHandledByUserId() {
        return handledByUserId;
    }

    public void setHandledByUserId(Long handledByUserId) {
        this.handledByUserId = handledByUserId;
    }
}
